#! /bin/bash

TOP_DIR=`pwd | sed -e s/\\\/RusXMMS2$//`
if [ ! -d $TOP_DIR/RusXMMS2 ]; then
    exit
fi
if [ ! -d $TOP_DIR/libxmms ]; then
    exit
fi

echo "Patching: $TOP_DIR"

cp $TOP_DIR/RusXMMS2/source/* $TOP_DIR/libxmms/

cat $TOP_DIR/RusXMMS2/3rdparty/xmms-cvs-mpg123.diff | patch -d $TOP_DIR -p 0
if [ $? -ne 0 ]; then echo -e "\n[01;31mFailed:[00m *** xmms-cvs-mpg123 ***"; exit; fi
cat $TOP_DIR/RusXMMS2/3rdparty/mpg123/*.patch | patch -d $TOP_DIR -p 1
if [ $? -ne 0 ]; then echo -e "\n[01;31mFailed:[00m *** gento mpg123 patches ***"; exit; fi


cat $TOP_DIR/RusXMMS2/patches/xmms-ds-rusxmms.patch | patch -d $TOP_DIR -p 1
if [ $? -ne 0 ]; then echo -e "\n[01;31mFailed:[00m *** xmms-ds-rusxmms ***"; exit; fi
cat $TOP_DIR/RusXMMS2/patches/gentoo/xmms-ds-rusxmms-charset.patch | patch -d $TOP_DIR -p 1
if [ $? -ne 0 ]; then echo -e "\n[01;31mFailed:[00m *** xmms-ds-rusxmms-charset ***"; exit; fi

cat $TOP_DIR/RusXMMS2/patches/gentoo/plugins/xmms-ds-mpg123.patch | patch -d $TOP_DIR -p 1
if [ $? -ne 0 ]; then echo -e "\n[01;31mFailed:[00m *** xmms-ds-mpg123 ***"; exit; fi
cat $TOP_DIR/RusXMMS2/patches/gentoo/plugins/xmms-ds-mpg123-editor.patch | patch -d $TOP_DIR -p 1
if [ $? -ne 0 ]; then echo -e "\n[01;31mFailed:[00m *** xmms-ds-mpg123-editor ***"; exit; fi
cat $TOP_DIR/RusXMMS2/patches/gentoo/plugins/xmms-ds-mpg123-editor-keys.patch | patch -d $TOP_DIR -p 1
if [ $? -ne 0 ]; then echo -e "\n[01;31mFailed:[00m *** xmms-ds-mpg123-editor-keys ***"; exit; fi
cat $TOP_DIR/RusXMMS2/patches/plugins/xmms-ds-vorbis-editor.patch | patch -d $TOP_DIR -p 1
if [ $? -ne 0 ]; then echo -e "\n[01;31mFailed:[00m *** xmms-ds-vorbis-editor ***"; exit; fi
cat $TOP_DIR/RusXMMS2/patches/plugins/xmms-ds-vorbis-editor-keys.patch | patch -d $TOP_DIR -p 1
if [ $? -ne 0 ]; then echo -e "\n[01;31mFailed:[00m *** xmms-ds-vorbis-editor-keys ***"; exit; fi

cat $TOP_DIR/RusXMMS2/patches/xmms-ds-playlist.patch | patch -d $TOP_DIR -p 1
if [ $? -ne 0 ]; then echo -e "\n[01;31mFailed:[00m *** xmms-ds-playlist ***"; exit; fi
cat $TOP_DIR/RusXMMS2/patches/xmms-ds-shade.patch | patch -d $TOP_DIR -p 1
if [ $? -ne 0 ]; then echo -e "\n[01;31mFailed:[00m *** xmms-ds-shade ***"; exit; fi
cat $TOP_DIR/RusXMMS2/patches/xmms-ds-textbox.patch | patch -d $TOP_DIR -p 1
if [ $? -ne 0 ]; then echo -e "\n[01;31mFailed:[00m *** xmms-ds-textbox ***"; exit; fi


